Package org.opensaml.saml.security

# Enum Class SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap

java.lang.Object
java.lang.Enum<SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap>
org.opensaml.saml.security.SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap>`, `Constable`

Enclosing class:
  SAMLMetadataKeyAgreementEncryptionConfiguration

public static enum SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap extends Enum<SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap>
Options for whether to use symmetric key wrap with credentials from SAML metadata.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Always`
Always use key wrap for metadata credentials.
`Default`
Default behavior, which is to enable key wrap or not based on the presence or absence respectively of `EncryptionMethod` elements in the associated `KeyDescriptor` containing symmetric key wrap algorithms.
`IfNotIndicated`
Use key wrap if no indication is given via `EncryptionMethod` elements within the associated `KeyDescriptor` element.
`Never`
Never use key wrap for metadata credentials.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`KeyWrap()`

## Method Summary

Modifier and Type
Method
Description
`static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Always

public static final SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap Always
Always use key wrap for metadata credentials.

### Never

public static final SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap Never
Never use key wrap for metadata credentials.

### IfNotIndicated

public static final SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap IfNotIndicated
Use key wrap if no indication is given via `EncryptionMethod` elements within the associated `KeyDescriptor` element. See also `Default`.

### Default

public static final SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap Default
Default behavior, which is to enable key wrap or not based on the presence or absence respectively of `EncryptionMethod` elements in the associated `KeyDescriptor` containing symmetric key wrap algorithms. The presence of any symmetric key wrap algorithms (after runtime support and include/exclude filtering) will enable key wrap. Otherwise, key wrap will be disabled.

## Constructor Details

### KeyWrap

private KeyWrap()

## Method Details

### values

public static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null